\section{Conclusion and further research}

In this project we studied how the different phonemes can be extracted from speech. The steps were focused on pre-processing the signal, computing the Mel Frequency Cepstral Coefficients, clustering them to find the different phonemes and creating a phoneme dictionary. We used three training approaches to observe different results when testing new samples. 

After a significant amount of testing, we have extracted the following key learnings:

\begin{enumerate}
	\item It is hard to extract conclusive results that divide the sample signals into the exact separate phonemes.
	\item Cluster centers that go together in the signal will have a small distance between them. This means that in our tests, one phoneme could be represented by more than one cluster center.
	\item The three training methods gave different results for the sequence assignment, however all of them shared the previous mentioned point. There were similar cluster distances between similar phonemes.
\end{enumerate}

However, more research needs to be done in order to be able to assign one
cluster center for each phoneme. Further testing with other supervised learning
algorithms should be performed instead of k-means clustering. More filtering
and noise suppression alternatives should also be considered in order to get a
cleaner signal and completely eliminate the silent component. Another useful
point to bear in mind in the future is to increase the data set to multiple
male and female voices to get a better generalization.